﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DAL.Helpers;
using Domain;

namespace DAL
{
    public class AppDbContext : DbContext
    {
        public DbSet<Person> People { get; set; }

        public AppDbContext() : base(nameOrConnectionString: "name=AppDbConnectionString")
        {

            Database.SetInitializer(
                strategy: new DbInitializer());
#if DEBUG
            Database.Log = s => Trace.Write(
                value: s.StartsWith(value: "SELECT") ? s + "\n\n" : "");
#else
            Database.Log = s => Console.Write(
                value: s.StartsWith(value: "SELECT") ? s+"\n\n" : "" );
#endif
        }

    }
}
